Subject: Ticket Assigned - Feedback or suggestions
From: Babyshop <[email-masked]>
To: [email-masked]
Date: Mon, 15 Aug 2022 06:16:56 +0000

Hi Hessah Alsufayyan,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Feedback or suggestions I opened a live chat session to change the delivery date of an order I made, the support agent refused to even try to help changing the date. When I asked tl escalate the issue he simply said no we cannot help and ended the conversation immediately.

This is a terrible support experience,  I'm very frustrated by this rude behavior to customers and will never buy anything from your stores. https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/4731082